Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.cards
Class Generator

    java.lang.Object
      org.wso2.solutions.identity.cards.Generator

    public class Generator

extends java.lang.Object

Generates signed information cards.

Constructor Summary
`Generator()`

Method Summary
`java.lang.String` | `getCanonicalizationAlgorithm()`
`java.security.cert.X509Certificate` | `getCert()`
`java.security.cert.Certificate[]` | `getCertCain()`
`java.security.PrivateKey` | `getPrivateKey()`
`java.lang.String` | `getSignatureAlgorithm()`
`void` | `setCanonicalizationAlgorithm(java.lang.String canonicalizationAlgorithm)`
`void` | `setCert(java.security.cert.X509Certificate cert)`
`void` | `setCertCain(java.security.cert.Certificate[] certCain)`
`void` | `setPrivateKey(java.security.PrivateKey privateKey)`
`void` | `setSignatureAlgorithm(java.lang.String signatureAlgorithm)`
`org.w3c.dom.Element` | `signCard(InformationCard card)` Sign the given information card content

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Generator

    public Generator()

Method Detail

### signCard

    public org.w3c.dom.Element signCard(InformationCard card)
                                 throws CardModelException

  Sign the given information card content

  Parameters:
    `card` - Information card content to be signed
  Returns:
    Signed information card element
  Throws:
    `CardModelException`

### getPrivateKey

    public java.security.PrivateKey getPrivateKey()

### setPrivateKey

    public void setPrivateKey(java.security.PrivateKey privateKey)

### getSignatureAlgorithm

    public java.lang.String getSignatureAlgorithm()

### setSignatureAlgorithm

    public void setSignatureAlgorithm(java.lang.String signatureAlgorithm)

### getCanonicalizationAlgorithm

    public java.lang.String getCanonicalizationAlgorithm()

### setCanonicalizationAlgorithm

    public void setCanonicalizationAlgorithm(java.lang.String canonicalizationAlgorithm)

### getCert

    public java.security.cert.X509Certificate getCert()

### setCert

    public void setCert(java.security.cert.X509Certificate cert)

### setCertCain

    public void setCertCain(java.security.cert.Certificate[] certCain)

### getCertCain

    public java.security.cert.Certificate[] getCertCain()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD